Name: kde-common-devel
Version: 4.4.2
Release: alt0.M51.1

Group: Development/KDE and QT
Summary: Development utils for KDE
License: GPL
Url: http://www.altlinux.org

Requires: menu-devel rpm-utils

Source11: macrosd
Patch1: find-lang.patch
Requires: rpm-macros-%name = %version-%release

%description
Development utils for Menu system

%package -n rpm-macros-%name
Summary: Set of RPM macros for packaging %name-based applications
Group: Development/Other
# uncomment if macroses are platform-neutral
#BuildArch: noarch
# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
Conflicts: kde-common-devel <= 4.3.0-alt1

%description -n rpm-macros-%name
Set of RPM macros for packaging %name-based applications for ALT Linux.
Install this package if you want to create RPM packages that use %name.

%prep
%setup -cT
install -m 0644 %_libexecdir/rpm/find-lang .
%patch1 -p0

%install
install -D -m 0644 %SOURCE11 %buildroot/%_rpmmacrosdir/%name
install -D -m 0755 find-lang %buildroot/%_bindir/kde-devel-find-lang

%files
%_bindir/kde-devel-find-lang

%files -n rpm-macros-%name
%_rpmmacrosdir/%name

%changelog
* Tue Apr 20 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt0.M51.1
- build for M51

* Mon Apr 05 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt1
- add _kde_langlist macro
- allow _K4build with _K4cmake's arguments

* Tue Feb 09 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.0-alt1
- add _K4dbus_system macro

* Fri Jan 15 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt2
- fix typo when using _K4xdg_apps macros

* Thu Jan 14 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt1
- deprecate macroses started with '__'

* Thu Jan 14 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1
- move macroses to special package

* Wed Jul 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt1
- use %%_libexecdir/kde4/bin for default binaries path

* Tue Jul 14 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Wed Jul 01 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- install docs always to kde4 data dir

* Tue Jun 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt0.M50.1
- built for M50

* Mon May 18 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- add %%_K4link macros for directory contains linking libraries
- move linking libraries to %_K4link by default

* Mon Feb 02 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt2
- add more search library paths

* Fri Jan 16 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- fix cmake files at install to find kde libraries at %_libdir/kde4link

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt2
- allow define build type via %%_K4buildtype (Debug/Release/RelWithDebInfo/MinSizeRel)

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- remove debug output from %%K4cmake

* Mon Sep 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt2
- bump release

* Mon Sep 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- fix to don't break macroses in cmake files

* Thu May 29 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- don't add RPATH to shared libraries by default

* Tue Apr 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- add %%K4find_lang

* Wed Mar 19 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt5
- add kde link dir to all lib search paths

* Fri Feb 15 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt4
- move KDE4 internal xdg/menus, data to alternate placement

* Fri Feb 15 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt3
- rename %%K4configure to %%K4cmake

* Thu Feb 14 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt2
- change docs alternate placement

* Wed Feb 13 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt1
- add KDE4 macroses

* Wed May 30 2007 Sergey V Turchin <zerg at altlinux dot org> 0.3.2-alt1
- change _Kconfig macros to /etc/kde/share/config

* Tue Oct 24 2006 Sergey V Turchin <zerg at altlinux dot org> 0.3.1-alt1
- fix %%_K_if_ver_*

* Mon Oct 16 2006 Sergey V Turchin <zerg at altlinux dot org> 0.3.0-alt1
- add version compariosion macroses

* Thu Dec 15 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.1-alt1
- add new macroses

* Tue Mar 09 2004 Sergey V Turchin <zerg at altlinux dot org> 0.1.0-alt1
- initial spec
